Highlighted
Contributor
Contributor

Guest Opensuse 10.3: unable to build the vmhgfs module

Jump to solution

I've installed opensuse 10.3 final (kernel 2.6.22.5, gcc 4.2.1) in VMWARE 6.0.1 build 55017 (host XP)

I'm not able to compile vmhgfs module:

vmware-config-tools.pl

" /tmp/vmware-config15/vmhgfs-only/filesystem.c: In function 'HgfsInitFileSystem' error: too few arguments to function 'kmem_cache_extra'

Unable to build vmhgfs module. "

Any idea about that? (no problems with other modules)

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Contributor
Contributor

Hi, I had the same problem and after some searching i found the solution in this thread .

First install vmware-tools-55017 without config!

Download 2.6.22-vmhgfs-55017.tar.bz2

Extract it to vmhgfs.tar and replace the original vmhgfs.tar under /usr/lib/vmware-tools/modules/source .

Next remove all vm.ko + vm.o modules from /lib/modules/"kernel-version"/misc.

Now compiling should work. Smiley Happy

View solution in original post

0 Kudos
8 Replies
Highlighted
Expert
Expert

Do your kernel source files match your running kernel?

Tom Cronin, VCP, VMware vExpert 2009 - 2017, Co-Leader Buffalo, NY VMUG
0 Kudos
Highlighted
Contributor
Contributor

Yes. And all other modules work

0 Kudos
Highlighted
Contributor
Contributor

Hi, I had the same problem and after some searching i found the solution in this thread .

First install vmware-tools-55017 without config!

Download 2.6.22-vmhgfs-55017.tar.bz2

Extract it to vmhgfs.tar and replace the original vmhgfs.tar under /usr/lib/vmware-tools/modules/source .

Next remove all vm.ko + vm.o modules from /lib/modules/"kernel-version"/misc.

Now compiling should work. Smiley Happy

View solution in original post

0 Kudos
Highlighted
Contributor
Contributor

Hello,

In response to the last post, I have the exact problem, except that I have already upgraded to WS 6.0.2 (build 59824) in the hope that it would fix the problem. So I am asking does anybody know whether a modified vmhgfs module exists for this newer build?

Regards,

bostjanv

0 Kudos
Highlighted
Enthusiast
Enthusiast

anybody know whether a modified vmhgfs module exists for this newer build?

The general fix is to modify

compat_slab.h

in

vmhgfs.tar

under

/usr/lib/vmware-tools/modules/source

as discussed in:

http://communities.vmware.com/thread/108445

http://communities.vmware.com/thread/107691

.

.

Example:

cd /usr/lib/vmware-tools/modules/source/

tar xvf vmhgfs.tar

vi vmhgfs-only/compat_slab.h

.../*#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 22) ..... / /del20071025jrv*/

...#if LINUX_VERSION_CODE <= KERNEL_VERSION(2, 6, 22) ..... /20071025jrv/

tar cvf vmhgfs.tar vmhgfs-only

Then re-config tools:

/usr/bin/vmware-config-tools.pl

hth

bv

0 Kudos
Highlighted
Contributor
Contributor

I would simply like to thank you for the information and verify that it worked for me. By the way, in one of the comments within http://communities.vmware.com/thread/108445

it is stated that there is another solution (involving the addition of autoconf/cachecreate.c to the vmhgfs.tar package). Could somebody comment this?

Regards,

bostjanv

0 Kudos
Highlighted
Contributor
Contributor

Thank you, thank you Bob! And thanks for the detailed example! That was very helpful!

Dwaine

0 Kudos
Highlighted
Immortal
Immortal

This did it for me:

http://kamilkisiel.blogspot.com/2007/11/installing-vmware-tools-on-kernel-2622.html

AWo

vExpert 2009/10/11 [:o]===[o:] [: ]o=o[ :] = Save forests! rent firewood! =
0 Kudos